How to Update to NSS 3.22 in offline situations

Support for security such as Firewalls and securing linux
Post Reply
changjun.cho
Posts: 3
Joined: 2020/04/24 13:21:08

How to Update to NSS 3.22 in offline situations

Post by changjun.cho » 2020/04/27 04:23:27

My CentOS is in a closed network environment.
I installed 'Visual Studio Code', but I get a message like this.
------------------------------------------------------------------------------
VSCode-linux-x64/code: /lib64/libnss3.so: version `NSS_3.22' not found (required by VSCode-linux-x64/code)
VSCode-linux-x64/code: /lib64/libdbus-1.so.3: no version information available (required by VSCode-linux-x64/code)
------------------------------------------------------------------------------
So, I downloaded the following files.

nspr-4.21.0-1.el7.x86_64.rpm
nss-3.44.0-4.el7.x86_64.rpm
nss-pem-1.0.3-7.el7.x86_64.rpm
nss-softokn-3.44.0-5.el7.x86_64.rpm
nss-softokn-freebl-3.44.0-5.el7.x86_64.rpm
nss-softokn-freebl-devel-3.44.0-5.el7.x86_64.rpm
nss-tools-3.44.0-4.el7.x86_64.rpm
nss-util-3.44.0-4.el7_7.x86_64.rpm


However, installing them keeps getting errors like this.
-----------------------------------------------------------------------------
Error: Package: nss-tools-3.21.0-17.el7.x86_64 (@Base)
Requires: nss(x86-64) = 3.21.0-17.el7
Removing: nss-3.21.0-17.el7.x86_64 (@Base)
nss(x86-64) = 3.21.0-17.el7
Updated By: nss-3.44.0-4.el7.x86_64 (/nss-3.44.0-4.el7.x86_64)
nss(x86-64) = 3.44.0-4.el7
Error: Package: nss-3.44.0-4.el7.x86_64 (/nss-3.44.0-4.el7.x86_64)
Requires: nss-softokn(x86-64) >= 3.44.0-1
Installed: nss-softokn-3.16.2.3-14.4.el7.x86_64 (@Base)
nss-softokn(x86-64) = 3.16.2.3-14.4.el7
Error: Package: nss-3.44.0-4.el7.x86_64 (/nss-3.44.0-4.el7.x86_64)
Requires: nss-pem(x86-64)
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
-------------------------------------------------------------------------------

How to Update to NSS 3.22 in offline situations
plz Help me.

User avatar
TrevorH
Forum Moderator
Posts: 29467
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: How to Update to NSS 3.22 in offline situations

Post by TrevorH » 2020/04/27 09:02:28

You're going to need to update everything not just those packages since there will be lots of things that use nss that also need to be updated. Your current system seems to be stuck on 7.2 or 7.3 which is when we shipped nss 3.21 so it's about 5 years out of date.

I would download the iso image for 7.8 (due out very soon) and loopback mount that on one of the directories mentioned in /etc/yum.repos.d/CentOS-Media.repo then use e.g. yum --disablerepo=\* --enablerepo=c7-media update to update from that iso image to 7.8.
CentOS 6 will die in November 2020 - migrate sooner rather than later!
Info for USB installs on http://wiki.centos.org/HowTos/InstallFromUSBkey
CentOS 5 is dead, do not use it.
Full time Geek, part time moderator. Use the FAQ Luke

changjun.cho
Posts: 3
Joined: 2020/04/24 13:21:08

Re: How to Update to NSS 3.22 in offline situations

Post by changjun.cho » 2020/04/28 00:10:52

Thanks~ I did it :)

Post Reply

Return to “CentOS 7 - Security Support”